STIGQter STIGQter: STIG Summary: EDB Postgres Advanced Server Security Technical Implementation Guide Version: 1 Release: 6 Benchmark Date: 25 Oct 2019: The EDB Postgres Advanced Server must implement NIST FIPS 140-2 validated cryptographic modules to generate and validate cryptographic hashes.

DISA Rule

SV-83683r1_rule

Vulnerability Number

V-69079

Group Title

SRG-APP-000514-DB-000382

Rule Version

PPS9-00-012800

Severity

CAT I

CCI(s)

Weight

10

Fix Recommendation

There is no known fix for a FIPS-compliant OpenSSL library on Microsoft Windows at this time.

Configure RHEL OpenSSL as defined in section 9.1 of the RHEL OpenSSL FIPS Compliance documentation here:

http://csrc.nist.gov/groups/STM/cmvp/documents/140-1/140sp/140sp1758.pdf

Check Contents

If a FIPS-certified OpenSSL library is not installed, this is a finding.

Run the command "cat /proc/sys/crypto/fips_enabled".

If the output is not "1", this is a finding.

Vulnerability Number

V-69079

Documentable

False

Rule Version

PPS9-00-012800

Severity Override Guidance

If a FIPS-certified OpenSSL library is not installed, this is a finding.

Run the command "cat /proc/sys/crypto/fips_enabled".

If the output is not "1", this is a finding.

Check Content Reference

M

Target Key

2933

Comments